Skip to main content
PATCH
/
availability
/
{id}
/
holiday-exceptions
cURL
curl --request PATCH \
  --url https://api.example.com/availability/{id}/holiday-exceptions \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '{
  "year": 2026
}'
import requests

url = "https://api.example.com/availability/{id}/holiday-exceptions"

payload = { "year": 2026 }
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({year: 2026})
};

fetch('https://api.example.com/availability/{id}/holiday-exceptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "ownerId": "<string>",
    "available": true,
    "start": "<string>",
    "end": "<string>",
    "createdAt": "<string>",
    "id": 123,
    "title": "<string>",
    "note": "<string>",
    "deletedAt": "<string>"
  }
]

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Path Parameters

id
string
required

Body

application/json
year
number
required
Required range: 2025 <= x <= 2027
country
enum<string>
required
Available options:
DE,
AT,
BE,
CA,
DK,
NL,
EE,
FI,
FR,
IT,
NZ,
ES,
SE,
CH,
US
germanState
enum<string>
Available options:
BW,
BY,
ST,
MV,
BE,
BB,
HE,
NW,
RP,
SL,
SN,
TH,
SH,
HH,
NI,
HB

Response

200 - application/json
ownerId
string
required
ownerType
enum<string>
required
Available options:
company,
user
available
boolean
required
start
string
required
end
string
required
createdAt
string
required
id
number
required
title
string
note
string
deletedAt
string | null